/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or (at
 *  your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *  MA 02110-1301, USA.
 *
 *  Copyright © 2006 Pierre Habouzit
 */

#ifndef MUTT_LIB_SYS_UNIX_H
#define MUTT_LIB_SYS_UNIX_H

#include <sys/types.h>
#include <pwd.h>

#include <lib-lib/rx.h>

ssize_t mutt_gecos_name(char *dst, ssize_t n, struct passwd *pw, regex_t *rx);
int getdnsdomainname(char *, ssize_t);

/* flags for _mutt_system() */
#define M_DETACH_PROCESS	1       /* detach subprocess from group */

#define mutt_system(x) _mutt_system(x,0)
int _mutt_system (const char *, int);


#endif /* MUTT_LIB_SYS_UNIX_H */
